> For the complete documentation index, see [llms.txt](https://docs.compliance.phalcon.blocksec.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.compliance.phalcon.blocksec.com/es/api-documentation/customer/add-transactions-to-a-customer.md).

# Agregar transacciones a un cliente

## Bind multiple transactions to customer

> Batch bind imported transactions to a customer. If the specified customer ID does not exist, it will be created automatically.

```json
{"openapi":"3.0.0","info":{"title":"Compliance API","version":"2.0.0"},"tags":[{"name":"Customer","description":"Customer profile and association APIs."}],"servers":[{"url":"https://api.blocksec.com/phalcon/compliance/v2","description":"Production server"}],"security":[{"API-Key":[]}],"components":{"securitySchemes":{"API-Key":{"type":"apiKey","in":"header","name":"API-Key"}},"schemas":{"CustomerAddTransaction":{"type":"object","required":["txHash","chainId"],"properties":{"txHash":{"type":"string","description":"The txHash to be added."},"chainId":{"type":"integer","description":"The chain ID. For all supported chains and corresponding chain IDs, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains)."},"toAddress":{"type":"string","description":"The address of transfer."},"transferIndex":{"type":"integer","description":"The index of transaction."}}},"CustomerAddTransactionResult":{"type":"object","properties":{"txHash":{"type":"string","description":"The txHash to be added."},"chainId":{"type":"integer","description":"The chain ID. For all supported chains and corresponding chain IDs, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains)."},"toAddress":{"type":"string","description":"The address of transfer."},"transferIndex":{"type":"integer","description":"The index of transaction."},"status":{"type":"integer"}}}}},"paths":{"/customers/{customer_id}/transactions":{"post":{"tags":["Customer"],"parameters":[{"name":"customer_id","in":"path","required":true,"schema":{"type":"string"},"description":"The customer ID from your own system. If this customer ID does not exist yet, it will be created automatically."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"transactions":{"type":"array","description":"The list of transactions to be added.","items":{"$ref":"#/components/schemas/CustomerAddTransaction"}}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","description":"The status code of this request. For all possible codes and corresponding errors/messages, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages)."},"msg":{"type":"string","description":"The message of this request. For all possible codes and corresponding errors/messages, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages)."},"data":{"type":"object","properties":{"customerId":{"type":"string","description":"The ID of the customer."},"transactionCount":{"type":"integer","description":"The number of transactions added to this customer."},"addedTransactions":{"type":"array","description":"The list of transactions that were added successfully.","items":{"$ref":"#/components/schemas/CustomerAddTransaction"}},"failed":{"type":"array","description":"The list of transactions that failed to be added.","items":{"$ref":"#/components/schemas/CustomerAddTransactionResult"}}}}}}}}}},"description":"Batch bind imported transactions to a customer. If the specified customer ID does not exist, it will be created automatically.","summary":"Bind multiple transactions to customer"}}}}
```
